import * as React from 'react';
import ListItem from '@mui/material/ListItem';
import ListItemIcon from '@mui/material/ListItemIcon';
import ListItemText from '@mui/material/ListItemText';
import ListSubheader from '@mui/material/ListSubheader';

import { Nav } from 'react-bootstrap';
import { NavLink } from 'react-router-dom'

import HomeIcon from '@mui/icons-material/Home'
import WorkIcon from '@mui/icons-material/Work';
import VisibilityOffIcon from '@mui/icons-material/VisibilityOff';
import PeopleAltIcon from '@mui/icons-material/PeopleAlt';
import HistoryIcon from '@mui/icons-material/History';
import EqualizerIcon from '@mui/icons-material/Equalizer';
import FingerprintIcon from '@mui/icons-material/Fingerprint';

import MiscellaneousServicesIcon from '@mui/icons-material/MiscellaneousServices';

import OndemandVideoIcon from '@mui/icons-material/OndemandVideo';
import StarIcon from '@mui/icons-material/Star';
import SupportAgentIcon from '@mui/icons-material/SupportAgent';

function Item (props) {
    return(
        <ListItem button>
            <ListItemIcon>
                {props.icon}
            </ListItemIcon>
            <Nav.Item>
                <NavLink to={props.route}>
                    <ListItemText primary={props.title} />
                </NavLink>
            </Nav.Item>
        </ListItem>
    )
}


export const mainListItems = (
    <Nav>
        <ListSubheader inset>MENÚ</ListSubheader>
        <Item icon={<HomeIcon/>} title="Inicio" route="/home" />
        <Item icon={<WorkIcon/>} title="Puestos" route="/work" />
        <Item icon={<VisibilityOffIcon/>} title="Contraseñas" route="/work" />
        <Item icon={<PeopleAltIcon/>} title="Expedientes" route="/work" />
        <Item icon={<EqualizerIcon/>} title="Resultados" route="/work" />
        <Item icon={<FingerprintIcon/>} title="Pruebas" route="/work" />
        <Item icon={<MiscellaneousServicesIcon/>} title="Configuraciones" route="/work" />
        <Item icon={<HistoryIcon/>} title="Historial" route="/work" />

    </Nav>
);

export const secondaryListItems = (
    <Nav>
        <ListSubheader inset>EXTRAS</ListSubheader>
        <Item icon={<StarIcon/>} title="Elementos" route="/work" />
        <Item icon={<OndemandVideoIcon/>} title="Tutoriales" route="/work" />
        <Item icon={<SupportAgentIcon/>} title="Asistencia Técnica" route="/work" />
    </Nav>
);
